Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.schemas.v1
Class FeedbackBasicEquipmentType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.schemas.v1.FeedbackBasicEquipmentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:20:34+02:00",
               comments="JAXB RI v2.3.6")
    public class FeedbackBasicEquipmentType

extends Object
implements Serializable

Generiek type voor het basishulpmiddel in de feedback

Java class for FeedbackBasicEquipmentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FeedbackBasicEquipmentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareServiceCodeType" minOccurs="0"/>
             <element name="Productnumber" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ProductNumberType" minOccurs="0"/>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}CareServiceCodeStatusType" minOccurs="0"/>
             <element name="Reason" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="NotChecked" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}NotCheckedListType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FeedbackBasicEquipmentType()`

Method Summary
`String` | `getCareServiceCode()` Gets the value of the careServiceCode property.
`NotCheckedListType` | `getNotChecked()` Gets the value of the notChecked property.
`String` | `getProductnumber()` Gets the value of the productnumber property.
`List<String>` | `getReasons()` Gets the value of the reasons property.
`CareServiceCodeStatusType` | `getStatus()` Gets the value of the status property.
`void` | `setCareServiceCode(String value)` Sets the value of the careServiceCode property.
`void` | `setNotChecked(NotCheckedListType value)` Sets the value of the notChecked property.
`void` | `setProductnumber(String value)` Sets the value of the productnumber property.
`void` | `setStatus(CareServiceCodeStatusType value)` Sets the value of the status property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeedbackBasicEquipmentType

    public FeedbackBasicEquipmentType()

Method Detail

### getCareServiceCode

    public String getCareServiceCode()

  Gets the value of the careServiceCode property.

  Returns:
    possible object is `String`

### setCareServiceCode

    public void setCareServiceCode(String value)

  Sets the value of the careServiceCode property.

  Parameters:
    `value` - allowed object is `String`

### getProductnumber

    public String getProductnumber()

  Gets the value of the productnumber property.

  Returns:
    possible object is `String`

### setProductnumber

    public void setProductnumber(String value)

  Sets the value of the productnumber property.

  Parameters:
    `value` - allowed object is `String`

### getStatus

    public CareServiceCodeStatusType getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `CareServiceCodeStatusType`

### setStatus

    public void setStatus(CareServiceCodeStatusType value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `CareServiceCodeStatusType`

### getReasons

    public List<String> getReasons()

  Gets the value of the reasons property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reasons property.

  For example, to add a new item, do as follows:

          getReasons().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### getNotChecked

    public NotCheckedListType getNotChecked()

  Gets the value of the notChecked property.

  Returns:
    possible object is `NotCheckedListType`

### setNotChecked

    public void setNotChecked(NotCheckedListType value)

  Sets the value of the notChecked property.

  Parameters:
    `value` - allowed object is `NotCheckedListType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.